//
// JWhich - find out which classpath entry a class is loaded from
// (c) 2002 Arno Haase - www.haase-consulting.com
// Software is provided "as is" - no warranty whatsoever is granted
// Permission to copy, use and extend the software is granted provided this
// notice remains part of the software
//

package com.haaseconsulting.jwhich;

import java.io.File;
import java.io.IOException;

class DirCpEntry extends ClassPathEntry {

    private final String _dirPathName;

    public DirCpEntry (String dirPathName) {
        _dirPathName = dirPathName;
    }

    protected boolean hasFile (String fileName) throws IOException {
        if (!new File (_dirPathName).exists ())
            throw new IOException ("Directory not found");

        return new File (_dirPathName, fileName).exists ();
    }

    public String getPath () {
        return _dirPathName;
    }
}
