//
// JWhich - find out which classpath entry a class is loaded from
// (c) 2002 Arno Haase - www.haase-consulting.com
// Software is provided "as is" - no warranty whatsoever is granted
// Permission to copy, use and extend the software is granted provided this
// notice remains part of the software
//

package com.haaseconsulting.jwhich;

import java.io.IOException;
import java.util.zip.ZipFile;

class JarCpEntry extends ClassPathEntry {
    private final String _jarFileName;

    public JarCpEntry (String jarFileName) {
        _jarFileName = jarFileName;
    }

    protected boolean hasFile (String fileName) throws IOException {
        return null != new ZipFile (_jarFileName).getEntry (fileName);
    }

    public String getPath () {
        return _jarFileName;
    }
}
